Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003020 [JEDI VCL] 00 JVCL Components minor always 2005-06-07 08:52 2006-03-31 06:21
Reporter clemens linders View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003020: Painting TAB's on JvPageControl??????
Description When I put a JvPageControl on the Form I cannot paint the TAB's

The object inspector gives under Linkage a "TabPainter". We tried JvMondernTabPainter, but this is not reckognised by the JvPageControl. Also we could not find a JvTabPainter.

How can we paint the TAB's??????

Kind regards,


Clemens Linders
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007426)
obones (administrator)
2005-06-11 09:37

I can set the value of TabPainter on a JvPageControl to an instance of JvTabDefaultPainter, it works just fine.
JvModernTabBarPainter is for tab bars, not for page controls.
I hope I'm being clear here, but to me this is a non issue. Please let me know.
(0007470)
user72
2005-06-16 06:25

Try TJvTabDefaultPainter and don't forget to set TJvPageControl.Ownerdraw to true.

If you are using D5, you also need to add an (empty) event handler for the OnDrawTab event
(0008793)
obones (administrator)
2006-03-31 06:21

No answers for a long time, assuming this is fixed.
If not, please create a NEW issue and provide a sample application showing your problem.

- Issue History
Date Modified Username Field Change
2005-06-07 08:52 clemens linders New Issue
2005-06-11 09:37 obones Note Added: 0007426
2005-06-11 09:37 obones Status new => feedback
2005-06-16 06:25 user72 Note Added: 0007470
2006-03-31 06:21 obones Status feedback => resolved
2006-03-31 06:21 obones Resolution open => fixed
2006-03-31 06:21 obones Assigned To => obones
2006-03-31 06:21 obones Note Added: 0008793


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker